## loci.formats
Class CBZip2InputStream

    java.lang.Object
      java.io.InputStream
          loci.formats.CBZip2InputStream

All Implemented Interfaces:
  BZip2Constants

public class CBZip2InputStream
extends InputStream
implements BZip2Constants

An input stream that decompresses from the BZip2 format (without the file header chars) to be read as any other stream.

Field Summary
`(package private) int` `ch2`
`(package private) int` `chPrev`
`(package private) int` `count`
`(package private) int` `i`
`(package private) int` `i2`
`(package private) int` `j2`
`(package private) int` `rNToGo`
`(package private) int` `rTPos`
`(package private) int` `tPos`
`(package private) char` `z`

Fields inherited from interface loci.formats.BZip2Constants
`BASE_BLOCK_SIZE, G_SIZE, MAX_ALPHA_SIZE, MAX_CODE_LEN, MAX_SELECTORS, N_GROUPS, N_ITERS, NUM_OVERSHOOT_BYTES, R_NUMS, RUNA, RUNB`

Constructor Summary
`CBZip2InputStream(InputStream zStream)`

Method Summary
`int` `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i2

    int i2

### count

    int count

### chPrev

    int chPrev

### ch2

    int ch2

### i

    int i

### tPos

    int tPos

### rNToGo

    int rNToGo

### rTPos

    int rTPos

### j2

    int j2

### z

    char z

Constructor Detail

### CBZip2InputStream

    public CBZip2InputStream(InputStream zStream)

Method Detail

### read

    public int read()